The staged rows of one import, verbatim, with what validation decided about each.
curl --request POST \
--url https://app.assetinfinity.ai/api/import_rows \
--header 'Content-Type: application/json' \
--data '
{
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_issue": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issues": "<string>",
"mapped": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_number": 123,
"source": "<string>",
"status": "<string>",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.assetinfinity.ai/api/import_rows"
payload = {
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_issue": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issues": "<string>",
"mapped": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"row_number": 123,
"source": "<string>",
"status": "<string>",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
batch_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
first_issue: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
issues: '<string>',
mapped: '<string>',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
row_number: 123,
source: '<string>',
status: '<string>',
target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.assetinfinity.ai/api/import_rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Import
The staged rows of one import, verbatim, with what validation decided about each.
POST
/
import_rows
The staged rows of one import, verbatim, with what validation decided about each.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
import_rows
The staged rows of one import, verbatim, with what validation decided about each.
Note:
This is a Foreign Key to imports.id.
Note: This is a Primary Key.
Note:
This is a Foreign Key to copilot_settings.organization_id.
Maximum string length:
20Response
201
Created
Was this page helpful?
⌘I

